import { CompanyCodes } from "./aimedb";

export const FELICA_MOBILE_IC_TYPES = [
	0x06, 0x07, 0x10, 0x12, 0x13, 0x14, 0x15, 0x17, 0x18,
] as const;
export const FELICA_CARD_IC_TYPES = [0x20, 0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7] as const;

export const DATA_FORMAT_CODE_MAP: Record<number, number> = {
	0x002a: CompanyCodes.BANDAI_NAMCO,
	0x003a: CompanyCodes.BANDAI_NAMCO,
	0x8ca2: CompanyCodes.BANDAI_NAMCO,
	0x0068: CompanyCodes.KONAMI,
	0x0078: CompanyCodes.SEGA,
};
