import reportRouter from "./report-api/router";
import sysServletRouter from "./sys/servlet/router";
import { Router } from "express";

const router: Router = Router({ mergeParams: true });

router.all("/naomitest.html", (_, res) => {
	return res.status(200).send("naomi ok").contentType("text/html");
});

router.use("/sys/servlet", sysServletRouter);
router.use("/report-api", reportRouter);

export default router;
