import { Router } from "express";
import iconv from "iconv-lite";

const router: Router = Router({ mergeParams: true });

router.all("/", (_, res) => {
	return res
		.status(200)
		.contentType("text/plain; charset=EUC-JP")
		.send(iconv.encode("OK", "EUC-JP"));
});

export default router;
