import aliveRouter from "./Alive/router";
import downloadOrderRouter from "./DownloadOrder/router";
import powerOnRouter from "./PowerOn/router";
import { Router } from "express";

const router: Router = Router({ mergeParams: true });

router.use("/Alive", aliveRouter);
router.use("/DownloadOrder", downloadOrderRouter);
router.use("/PowerOn", powerOnRouter);

export default router;
