import { z } from "zod";

export const UserRequest = z.object({
	userId: z.coerce.number(),
});

export const UserPaginatedRequest = UserRequest.extend({
	nextIndex: z.coerce.number(),
	maxCount: z.coerce.number(),
});

export const UserRequestWithKind = UserRequest.extend({
	kind: z.coerce.number(),
});
