import { ChunithmPlus } from "./105-plus";
import type { Request, Response } from "express";

export class ChunithmAir extends ChunithmPlus {
	constructor(gameCode?: string, version?: string, servletName?: string) {
		super(gameCode ?? "SDBT", version ?? "110", servletName ?? "ChuniServlet");
	}

	/**
	 * @since AIR
	 * @deprecated AMAZON?
	 */
	handle_GetUserRecentPlayerApi(req: Request, res: Response) {
		// TODO
		return res.send({
			userId: req.safeBody.userId,
			length: 0,
			nextIndex: -1,
			userRecentPlayerList: [],
		});
	}
}
