import { CommandId, ResultCodes } from "../../../lib/constants/aimedb";
import { PacketHeaderStruct } from "../types/header";
import type { AimeDBHandlerFn } from "../types/handlers";

export const ServiceHealthCheckHandler: AimeDBHandlerFn = (header, _) => {
	header.result = ResultCodes.SUCCESS;
	header.commandId = CommandId.SERVICE_HEALTH_RESPONSE;
	header.length = PacketHeaderStruct.baseSize;

	return null;
};
