import Struct from "typed-struct";

export const PacketHeaderStruct = new Struct("PacketHeader")
	.UInt16LE("magic")
	.UInt16LE("version")
	.UInt16LE("commandId")
	.UInt16LE("length")
	.UInt16LE("result")
	.String("gameId", 6)
	.UInt32LE("storeId")
	.String("keychipId", 12)
	.compile();
