import { CalculateAccessCode, CalculateCardKey } from "./access-code";
import t from "tap";

const TEST_CARD_KEY = "5B8CDAEF32960471";

t.test("#CalculateCardKey", (t) => {
	t.equal(CalculateCardKey(1, TEST_CARD_KEY), "3653373");

	t.end();
});

t.test("#CalculateAccessCode", (t) => {
	t.ok(CalculateAccessCode(1, "02019", TEST_CARD_KEY), "02019068568453653373");

	t.end();
});
