import { ChunithmAir } from "./110-air";
import type { Request, Response } from "express";

export class ChunithmAirPlus extends ChunithmAir {
	constructor(gameCode?: string, version?: string, servletName?: string) {
		super(gameCode ?? "SDBT", version ?? "115", servletName ?? "ChuniServlet");
	}

	override createGetGameSettingsApiResponse(req: Request, res: Response) {
		const resp = super.createGetGameSettingsApiResponse(req, res);

		resp.gameSetting.dataVersion = "1.25.00";

		return resp;
	}

	/**
	 * @since AIR PLUS
	 */
	handle_GetUserCourseApi(req: Request, res: Response) {
		throw new Error("Unimplemented");
	}
}
