import { Chunithm } from "./100-base";
import { ChunithmPlus } from "./105-plus";
import { ChunithmAir } from "./110-air";
import { ChunithmAirPlus } from "./115-airplus";
import { ChunithmStar } from "./120-star";
import { ChunithmStarPlus } from "./125-starplus";
import { ChunithmAmazon } from "./130-amazon";
import { ChunithmAmazonPlus } from "./135-amazonplus";
import { ChunithmCrystal } from "./140-crystal";
import { ChunithmCrystalPlus } from "./145-crystalplus";
import { ChunithmParadise } from "./150-paradise";
import type { BaseTitle } from "servers/titles/types/titles";

export const VERSIONS: Array<typeof BaseTitle> = [
	Chunithm,
	ChunithmPlus,
	ChunithmAir,
	ChunithmAirPlus,
	ChunithmStar,
	ChunithmStarPlus,
	ChunithmAmazon,
	ChunithmAmazonPlus,
	ChunithmCrystal,
	ChunithmCrystalPlus,
	ChunithmParadise,
];
