export interface ITitle {
	gameCode: string;
	version: string;
	servletName: string;
}

export class BaseTitle implements ITitle {
	gameCode: string;
	version: string;
	servletName: string;
	numericVersion: number;

	constructor(gameCode?: string, version?: string, servletName?: string) {
		this.gameCode = gameCode ?? "";
		this.version = version?.replace(/\./gu, "") ?? "";
		this.servletName = servletName ?? "";

		this.numericVersion = Number(this.version);
	}
}
